Debian Bug report logs - #417933
proc(5) is wrong wrt. /proc/[process]/stat

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: Pierre Habouzit <madcoder@debian.org>

Date: Thu, 5 Apr 2007 14:39:01 UTC

Severity: important

Tags: fixed-upstream

Found in version manpages/2.43-0

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#417933; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/share/man/man5/proc.5.gz: proc(5) is wronf wrt /proc/[process]/stat
Date: Thu, 05 Apr 2007 16:34:01 +0200
Package: manpages
Version: 2.43-0
Severity: important
File: /usr/share/man/man5/proc.5.gz


  See fs/proc/array.c in linux source to see the actual values, but the
description of /proc/[process]/stat is just plain wrong (fields missing,
bad ordering, bad scanf things formats).

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-amd64
Locale: LANG=C, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#417933; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 417933@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Pierre Habouzit <madcoder@debian.org>, 417933@bugs.debian.org
Subject: Re: Bug#417933: /usr/share/man/man5/proc.5.gz: proc(5) is wronf wrt /proc/[process]/stat
Date: Wed, 11 Apr 2007 23:21:06 +0200
>   See fs/proc/array.c in linux source to see the actual values, but the
> description of /proc/[process]/stat is just plain wrong (fields missing,
> bad ordering, bad scanf things formats).

Please be precise: which fields are missing, which are out of order, which
formats are bad?

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7

Want to help with man page maintenance?  Grab the latest tarball at
http://www.kernel.org/pub/linux/docs/manpages/
read the HOWTOHELP file and grep the source files for 'FIXME'.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#417933; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #15 received at 417933@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: 417933@bugs.debian.org
Subject: Re: Bug#417933: /usr/share/man/man5/proc.5.gz: proc(5) is wronf wrt /proc/[process]/stat
Date: Thu, 12 Apr 2007 01:39:12 +0200
[Message part 1 (text/plain, inline)]
On Wed, Apr 11, 2007 at 11:21:06PM +0200, Michael Kerrisk wrote:
> >   See fs/proc/array.c in linux source to see the actual values, but the
> > description of /proc/[process]/stat is just plain wrong (fields missing,
> > bad ordering, bad scanf things formats).
> 
> Please be precise: which fields are missing, which are out of order, which
> formats are bad?

  Well, there is too many to express the diff directly, moreover I'm not
sure about what means the new ones. Just get fs/proc/array.c from the
mainline kernel, you'll see them there.

  But for instance the 'starttime' is _just after_ the '0' place holder,
not after itrealvalue.

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#417933; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #20 received at 417933@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: Pierre Habouzit <madcoder@debian.org>, 417933@bugs.debian.org
Cc: Michael Kerrisk <mtk-manpages@gmx.net>
Subject: Re: Bug#417933: /usr/share/man/man5/proc.5.gz: proc(5) is wronf wrt /proc/[process]/stat
Date: Wed, 11 Apr 2007 21:26:57 -0400
On Thu, Apr 12, 2007 at 01:39:12AM +0200, Pierre Habouzit wrote:
> On Wed, Apr 11, 2007 at 11:21:06PM +0200, Michael Kerrisk wrote:
> > >   See fs/proc/array.c in linux source to see the actual values, but the
> > > description of /proc/[process]/stat is just plain wrong (fields missing,
> > > bad ordering, bad scanf things formats).
> > 
> > Please be precise: which fields are missing, which are out of order, which
> > formats are bad?
> 
>   Well, there is too many to express the diff directly, moreover I'm not
> sure about what means the new ones. Just get fs/proc/array.c from the
> mainline kernel, you'll see them there.
The differences I see:

nswap,cnswap are hardcoded as 0, and the manpage notes that they are
"not maintained".

New field at the end:
(unsigned long long)delayacct_blkio_ticks(task)

and:

>   But for instance the 'starttime' is _just after_ the '0' place holder,
> not after itrealvalue.
This is the only real difference afaics; fs.c from 2.6.18 says:

[...]
                nice,
                num_threads,
                start_time,
[...]

manpages documents two fields between nice and start_time.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#417933; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #25 received at 417933@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>, 417933@bugs.debian.org
Cc: Pierre Habouzit <madcoder@debian.org>
Subject: Re: Bug#417933: /usr/share/man/man5/proc.5.gz: proc(5) is wronf wrt /proc/[process]/stat
Date: Thu, 12 Apr 2007 08:00:12 +0200
Justin,

Thanks -- this is a bit like more information I was hoping to see in the
bug report.

Justin Pryzby wrote:
> On Thu, Apr 12, 2007 at 01:39:12AM +0200, Pierre Habouzit wrote:
>> On Wed, Apr 11, 2007 at 11:21:06PM +0200, Michael Kerrisk wrote:
>>>>   See fs/proc/array.c in linux source to see the actual values, but the
>>>> description of /proc/[process]/stat is just plain wrong (fields missing,
>>>> bad ordering, bad scanf things formats).
>>> Please be precise: which fields are missing, which are out of order, which
>>> formats are bad?
>>   Well, there is too many to express the diff directly, moreover I'm not
>> sure about what means the new ones. Just get fs/proc/array.c from the
>> mainline kernel, you'll see them there.
> The differences I see:
> 
> nswap,cnswap are hardcoded as 0, and the manpage notes that they are
> "not maintained".

Okay -- I'll add a fix.

> New field at the end:
> (unsigned long long)delayacct_blkio_ticks(task)

I believe that is already fixed by man-pages-2.44.

> and:
> 
>>   But for instance the 'starttime' is _just after_ the '0' place holder,
>> not after itrealvalue.
> This is the only real difference afaics; fs.c from 2.6.18 says:
> 
> [...]
>                 nice,
>                 num_threads,
>                 start_time,
> [...]
> 
> manpages documents two fields between nice and start_time.

Pierre, can you provide any more detail on this last point?  (changes
across kernel versions, perhaps.)

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7

Want to help with man page maintenance?  Grab the latest tarball at
http://www.kernel.org/pub/linux/docs/manpages/
read the HOWTOHELP file and grep the source files for 'FIXME'.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#417933; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #30 received at 417933@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Pierre Habouzit <madcoder@debian.org>
Cc: 417933@bugs.debian.org
Subject: Re: Bug#417933: /usr/share/man/man5/proc.5.gz: proc(5) is wronf wrt /proc/[process]/stat
Date: Thu, 12 Apr 2007 08:03:16 +0200

Pierre Habouzit wrote:
> On Wed, Apr 11, 2007 at 11:21:06PM +0200, Michael Kerrisk wrote:
>>>   See fs/proc/array.c in linux source to see the actual values, but the
>>> description of /proc/[process]/stat is just plain wrong (fields missing,
>>> bad ordering, bad scanf things formats).
>> Please be precise: which fields are missing, which are out of order, which
>> formats are bad?
> 
>   Well, there is too many to express the diff directly, moreover I'm not
> sure about what means the new ones. Just get fs/proc/array.c from the
> mainline kernel, you'll see them there.
> 
>   But for instance the 'starttime' is _just after_ the '0' place holder,
> not after itrealvalue.

Hello Pierre,

Either there are a lot of problems, and the diff is hard to make but there
should be at least several examples to cite, or there are just a few
problems (see Justin's mail).  Which is it please?

Cheers,

Michael

PS In case it's not clear: I'm asking you to help fix the problem, rather
than just saying there is one (initially without any supporting evidence).

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7

Want to help with man page maintenance?  Grab the latest tarball at
http://www.kernel.org/pub/linux/docs/manpages/
read the HOWTOHELP file and grep the source files for 'FIXME'.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#417933; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #35 received at 417933@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: Pierre Habouzit <madcoder@debian.org>, 417933@bugs.debian.org
Subject: Re: Bug#417933: /usr/share/man/man5/proc.5.gz: proc(5) is wronf wrt /proc/[process]/stat
Date: Sat, 21 Apr 2007 13:28:22 +0200
> Pierre Habouzit wrote:
>> On Wed, Apr 11, 2007 at 11:21:06PM +0200, Michael Kerrisk wrote:
>>>>   See fs/proc/array.c in linux source to see the actual values, but the
>>>> description of /proc/[process]/stat is just plain wrong (fields missing,
>>>> bad ordering, bad scanf things formats).
>>> Please be precise: which fields are missing, which are out of order, which
>>> formats are bad?
>>   Well, there is too many to express the diff directly, moreover I'm not
>> sure about what means the new ones. Just get fs/proc/array.c from the
>> mainline kernel, you'll see them there.
>>
>>   But for instance the 'starttime' is _just after_ the '0' place holder,
>> not after itrealvalue.
> 
> Hello Pierre,
> 
> Either there are a lot of problems, and the diff is hard to make but there
> should be at least several examples to cite, or there are just a few
> problems (see Justin's mail).  Which is it please?
> 
> Cheers,
> 
> Michael
> 
> PS In case it's not clear: I'm asking you to help fix the problem, rather
> than just saying there is one (initially without any supporting evidence).

Pierre -- ping!

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7

Want to help with man page maintenance?  Grab the latest tarball at
http://www.kernel.org/pub/linux/docs/manpages/
read the HOWTOHELP file and grep the source files for 'FIXME'.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#417933; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Martin Schulze <joey@infodrom.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #40 received at 417933@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: Pierre Habouzit <madcoder@debian.org>, 417933@bugs.debian.org
Subject: Re: Bug#417933: /usr/share/man/man5/proc.5.gz: proc(5) is wronf wrt /proc/[process]/stat
Date: Wed, 25 Apr 2007 16:57:23 +0200
Michael Kerrisk wrote:
> > Either there are a lot of problems, and the diff is hard to make but there
> > should be at least several examples to cite, or there are just a few
> > problems (see Justin's mail).  Which is it please?

> > PS In case it's not clear: I'm asking you to help fix the problem, rather
> > than just saying there is one (initially without any supporting evidence).
> 
> Pierre -- ping!

When there's not going to be helpful responses, I plan to assume that
the bug is fixed with your changes from 2.44.

Regards,

	Joey

-- 
Given enough thrust pigs will fly, but it's not necessarily a good idea.

Please always Cc to me when replying to me on the lists.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#417933; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #45 received at 417933@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Martin Schulze <joey@infodrom.org>
Cc: 417933@bugs.debian.org, madcoder@debian.org
Subject: Re: Bug#417933: /usr/share/man/man5/proc.5.gz: proc(5) is wronf wrt /proc/[process]/stat
Date: Wed, 25 Apr 2007 19:21:31 +0200
> When there's not going to be helpful responses, I plan to assume that
> the bug is fixed with your changes from 2.44.

Hi Joey,

I plan to get a fix in there, but it will be post 2.45.  Watch 
the change logs -- and I'll probably post to this bug as well.

M
-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#417933; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Martin Schulze <joey@infodrom.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #50 received at 417933@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: 417933@bugs.debian.org, madcoder@debian.org
Subject: Re: Bug#417933: /usr/share/man/man5/proc.5.gz: proc(5) is wronf wrt /proc/[process]/stat
Date: Fri, 27 Apr 2007 15:49:31 +0200
Michael Kerrisk wrote:
> > When there's not going to be helpful responses, I plan to assume that
> > the bug is fixed with your changes from 2.44.
> 
> Hi Joey,
> 
> I plan to get a fix in there, but it will be post 2.45.  Watch 
> the change logs -- and I'll probably post to this bug as well.

Ok.

Regards,

	Joey

-- 
In the beginning was the word, and the word was content-type: text/plain

Please always Cc to me when replying to me on the lists.



Changed Bug title to `proc(5) is wrong wrt. /proc/[process]/stat' from `/usr/share/man/man5/proc.5.gz: proc(5) is wronf wrt /proc/[process]/stat'. Request was from Martin Schulze <joey@infodrom.org> to control@bugs.debian.org. (Mon, 25 Jun 2007 14:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#417933; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #57 received at 417933@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Pierre Habouzit <madcoder@debian.org>, 417933@bugs.debian.org
Cc: debc <control@bugs.debian.org>, Justin Pryzby <justinpryzby@users.sourceforge.net>
Subject: Re: Bug#417933: /usr/share/man/man5/proc.5.gz: proc(5) is wronf wrt /proc/[process]/stat
Date: Sat, 07 Jul 2007 18:31:40 +0200
tags 417933 fixed-upstream
thanks

For upstream 2.63, I believe I have made the description of /proc/PID/stat
up to date, as at 2.6.21 (there have been many niggling little changes).  I
would be happy if one of you (Pierre or Justin) could review the text/code;
see below.

Best regards,

Michael

      /proc/[number]/stat
              Status  information about the process.  This is used by
              ps(1).         It         is         defined         in
              /usr/src/linux/fs/proc/array.c.

              The fields, in order, with their proper scanf(3) format
              specifiers, are:

              pid %d The process ID.

              comm %s
                     The filename of the executable, in  parentheses.
                     This is visible whether or not the executable is
                     swapped out.

              state %c
                     One character from the string "RSDZTW"  where  R
                     is  running,  S  is sleeping in an interruptible
                     wait,  D  is  waiting  in  uninterruptible  disk
                     sleep, Z is zombie, T is traced or stopped (on a
                     signal), and W is paging.

              ppid %d
                     The PID of the parent.

              pgrp %d
                     The process group ID of the process.

              session %d
                     The session ID of the process.

              tty_nr %d
                     The tty the process uses.

             tpgid %d
                     The process group ID of the process  which  cur-
                     rently  owns  the  tty  that the process is con-
                     nected to.

              flags %u
                     The kernel flags word of the process.   For  bit
                     meanings,    see    the    PF_*    defines    in
                     <linux/sched.h>.  Details depend on  the  kernel
                     version.

              minflt %lu
                     The  number of minor faults the process has made
                     which have not required loading  a  memory  page
                     from disk.

              cminflt %lu
                     The  number  of  minor faults that the process's
                     waited-for children have made.

              majflt %lu
                     The number of major faults the process has  made
                     which  have  required loading a memory page from
                     disk.

              cmajflt %lu
                     The number of major faults  that  the  process's
                     waited-for children have made.

              utime %lu
                     The number of jiffies that this process has been
                     scheduled in user mode.

              stime %lu
                     The number of jiffies that this process has been
                     scheduled in kernel mode.

              cutime %ld
                     The   number  of  jiffies  that  this  process's
                     waited-for children have been scheduled in  user
                     mode.  (See also times(2).)

              cstime %ld
                     The   number  of  jiffies  that  this  process's
                     waited-for children have been scheduled in  ker-
                     nel mode.

              priority %ld
                     The  standard  nice  value,  plus  fifteen.  The
                     value is never negative in the kernel.

              nice %ld
                     The nice value ranges from 19  (nicest)  to  -19
                     (not nice to others).

              num_threads %ld
                     Before kernel 2.6, this fields was hard coded to
                     0 as a placeholder for an earlier removed field.

              itrealvalue %ld
                     The  time  in jiffies before the next SIGALRM is
                     sent to the process due to  an  interval  timer.
                     Since  kernel  2.6.17,  this  field is no longer
                     maintained, and is hard coded as 0.

              starttime %llu (was %lu before Linux 2.6)
                     The time in jiffies the  process  started  after
                     system boot.

              vsize %lu
                     Virtual memory size in bytes.

              rss %ld
                     Resident  Set  Size: number of pages the process
                     has in real memory, minus 3  for  administrative
                     purposes.   This  is  just the pages which count
                     towards text, data, or stack space.   This  does
                     not  include  pages  which have not been demand-
                     loaded in, or which are swapped out.

              rlim %lu
                     Current limit in bytes on the rss of the process
                     (usually 4294967295 on i386).

              startcode %lu
                     The address above which program text can run.

              endcode %lu
                     The address below which program text can run.

              startstack %lu
                     The address of the start of the stack.

              kstkesp %lu
                     The  current  value  of  esp (stack pointer), as
                     found in the kernel stack page for the  process.

              kstkeip %lu
                     The current EIP (instruction pointer).

              signal %lu
                     The bitmap of pending signals.

              blocked %lu
                     The bitmap of blocked signals.

              sigignore %lu
                     The bitmap of ignored signals.


              sigcatch %lu
                     The bitmap of caught signals.

              wchan %lu
                     This  is  the  "channel" in which the process is
                     waiting.  It is the address of  a  system  call,
                     and can be looked up in a namelist if you need a
                     textual  name.   (If  you  have  an   up-to-date
                     /etc/psdatabase, then try ps -l to see the WCHAN
                     field in action.)

              nswap %lu
                     Number of pages swapped (not maintained).

              cnswap %lu
                     Cumulative nswap for child processes (not  main-
                     tained).

              exit_signal %d (since kernel 2.1.22)
                     Signal to be sent to parent when we die.

              processor %d (since kernel 2.2.8)
                     CPU number last executed on.

              rt_priority %lu (since kernel 2.5.19)
                     Real-time      scheduling      priority     (see
                     sched_setscheduler(2)).

              policy %lu (since kernel 2.5.19)
                     Scheduling policy (see sched_setscheduler(2)).

              delayacct_blkio_ticks %llu (since kernel 2.6.18)
                     Aggregated block I/O delays, measured  in  clock
                     ticks (centiseconds).






Tags added: fixed-upstream Request was from Michael Kerrisk <mtk-manpages@gmx.net> to control@bugs.debian.org. (Sat, 07 Jul 2007 14:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#417933; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <jpryzby@quoininc.com>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #64 received at 417933@bugs.debian.org (full text, mbox):

From: Justin Pryzby <jpryzby@quoininc.com>
To: Michael Kerrisk <mtk-manpages@gmx.net>, 417933@bugs.debian.org
Cc: Pierre Habouzit <madcoder@debian.org>
Subject: Re: Bug#417933: /usr/share/man/man5/proc.5.gz: proc(5) is wronf wrt /proc/[process]/stat
Date: Sat, 7 Jul 2007 11:53:44 -0400
On Sat, Jul 07, 2007 at 06:31:40PM +0200, Michael Kerrisk wrote:
> tags 417933 fixed-upstream
> thanks
> 
> For upstream 2.63, I believe I have made the description of /proc/PID/stat
> up to date, as at 2.6.21 (there have been many niggling little changes).  I
> would be happy if one of you (Pierre or Justin) could review the text/code;
> see below.

>               num_threads %ld
>                      Before kernel 2.6, this fields was hard coded to
>                      0 as a placeholder for an earlier removed field.
fields were / field was



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#417933; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #69 received at 417933@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: 417933@bugs.debian.org, debc <control@bugs.debian.org>, Justin Pryzby <justinpryzby@users.sourceforge.net>
Subject: Re: Bug#417933: /usr/share/man/man5/proc.5.gz: proc(5) is wronf wrt /proc/[process]/stat
Date: Mon, 9 Jul 2007 21:33:05 +0200
[Message part 1 (text/plain, inline)]
On Sat, Jul 07, 2007 at 06:31:40PM +0200, Michael Kerrisk wrote:
> tags 417933 fixed-upstream
> thanks
> 
> For upstream 2.63, I believe I have made the description of /proc/PID/stat
> up to date, as at 2.6.21 (there have been many niggling little changes).  I
> would be happy if one of you (Pierre or Justin) could review the text/code;
> see below.

  FWIW I think it's indeed correct now.

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#417933; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #74 received at 417933@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Pierre Habouzit <madcoder@debian.org>
Cc: 417933@bugs.debian.org, Justin Pryzby <justinpryzby@users.sourceforge.net>
Subject: Re: Bug#417933: /usr/share/man/man5/proc.5.gz: proc(5) is wronf wrt /proc/[process]/stat
Date: Mon, 09 Jul 2007 22:09:17 +0200

Pierre Habouzit wrote:
> On Sat, Jul 07, 2007 at 06:31:40PM +0200, Michael Kerrisk wrote:
>> tags 417933 fixed-upstream
>> thanks
>>
>> For upstream 2.63, I believe I have made the description of /proc/PID/stat
>> up to date, as at 2.6.21 (there have been many niggling little changes).  I
>> would be happy if one of you (Pierre or Justin) could review the text/code;
>> see below.
> 
>   FWIW I think it's indeed correct now.

Pierre, of course it's worth something.  Thanks for looking it over!

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7

Want to help with man page maintenance?  Grab the latest tarball at
http://www.kernel.org/pub/linux/docs/manpages/
read the HOWTOHELP file and grep the source files for 'FIXME'.




Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Pierre Habouzit <madcoder@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #79 received at 417933-done@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 417933-done@bugs.debian.org
Subject: fixed in 2.63-1
Date: Sun, 30 Sep 2007 21:49:54 +0200
s.a.

-- 
There are lies, statistics and benchmarks.

Please always Cc to me when replying to me on the lists.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 29 Oct 2007 07:27:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:37:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.